=== debian/control ===
Source: linuxcnc
Section: misc
Priority: extra
Maintainer: Sebastian Kuzminsky <seb@highlab.com>
Build-Depends: debhelper (>= 6),
    libudev-dev,iptables, , dvipng,texlive-extra-utils,texlive-latex-recommended,texlive-fonts-recommended,ghostscript,imagemagick,texlive-lang-polish,texlive-font-utils,kmod,dh-python,
    tcl8.6-dev, tk8.6-dev,
    libxaw7-dev, libncurses-dev, libreadline-gplv2-dev,
    asciidoc (>= 8.5), source-highlight, dblatex (>= 0.2.12), xsltproc, groff,
    docbook-xsl,
    python, python-dev, python-tk, python-lxml,
    libglu1-mesa-dev, libgl1-mesa-dev | libgl1-mesa-swx11-dev,
    libgtk2.0-dev, gettext, autoconf, libboost-python-dev,
    texlive-lang-cyrillic, texlive-lang-french,
    texlive-lang-spanish, texlive-lang-german, netcat,
    libmodbus-dev (>= 3.0), libusb-1.0-0-dev, procps, psmisc,
    graphviz, inkscape
Standards-Version: 2.1.0

Package: linuxcnc-uspace-dev
Architecture: any
Conflicts: linuxcnc-sim-dev, linuxcnc-dev
Depends: g++, ,
    python (>= 2.7), python (<< 2.8),
    ${python:Depends}, ${misc:Depends},
    linuxcnc-uspace (= ${binary:Version}),
    yapps2-runtime
Section: libs
Description: PC based motion controller for real-time Linux
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package includes files needed to build new realtime components and
 alternate front-ends for linuxcnc

Package: linuxcnc-uspace
Conflicts: linuxcnc-sim, linuxcnc
Architecture: any
Recommends: linuxcnc-doc-en | linuxcnc-doc, hostmot2-firmware-all, linux-image-rt-amd64 [linux-amd64], linux-image-rt-686-pae [linux-i386]
Depends: ${shlibs:Depends}, libudev-dev,iptables,
    tcl8.6, tk8.6, bwidget (>= 1.7), libtk-img (>=1.13),
    python (>= 2.7), python (<< 2.8),
    ${python:Depends}, ${misc:Depends},
    python2.7-tk,
    python2.7-gnome2 | python-gnome2,
    python2.7-glade2 | python-glade2,
    python2.7-numpy | python-numpy,
    python2.7-imaging | python-imaging,
    python2.7-imaging-tk | python-imaging-tk,
    python-gtksourceview2,
    python-vte,
    python-gst0.10, gstreamer0.10-plugins-base,
    python-xlib, python-gtkglext1, python-configobj,
    tclreadline, procps, psmisc, module-init-tools | kmod, tclx,
    mesa-utils, blt
Description: PC based motion controller for real-time Linux
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).

Package: linuxcnc-doc-en
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: PC based motion controller for real-time Linux
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in English.

Package: linuxcnc-doc-fr
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: PC based motion controller for real-time Linux
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in French.

Package: linuxcnc-doc-es
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: PC based motion controller for real-time Linux
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in Spanish.
