## linuxcnc 2.7.13

=== debian/changelog ===
linuxcnc (1:2.7.13) unstable; urgency=medium

  * docs: correct g33.1 warning and text
  * docs: describe motion.program-line in motion manpage
  * docs: remove last mention of pins from PID description in rtcomps
  * docs: update the PID section of rtcomps (#388)
  * docs: add missing num_sserials info to hm2 manpage
  * docs: add missing .tool-prep-index parameter to io manpage
  * docs: add some docstrings to the linuxcnc python module
  * docs: make the tool table docs more findable
  * docs: fix a spelling error in bldc manpage
  * docs: M19 is no longer an unused M-code

  * axis GUI: fix file open dialog with recent py/tcl (#414)

  * gscreen industrial GUI: fix DRO display if VCP panel added
  * gscreen GUI: fix error if gstreamer library missing

  * stepconf: fix lathe configs; Z axis must be 2 not 1

  * pncconf: fix lathe configs z axis should be 2 not 1
  * pncconf: fix tandem stepper command signals
  * pncconf: fix control type with tandem axes

  * gladevcp: fix a warning about icon size

  * interp: require < after # for named parameters (#424)

  * hm2 7i90: fix indentation for legibility
  * halrmt: fix confusing indentation
  * classicladder: fix indentation

  * io: fix a misleading comment
  * io: update the status buffer when prepping the loaded tool
  * io: set the HAL pins/params even for the loaded tool
  * io: remove an incorrect debug message

  * test: add tests of reloading the loaded tool
  * test: add a test for interp variable name bug (#424)

  * packaging: use dh_prep instead of deprecated 'dh_clean -k'
  * packaging: remove trailing whitespace in changelog
  * packaging: note copyright on yapps

 -- Sebastian Kuzminsky <seb@highlab.com>  Tue, 08 May 2018 21:12:41 -0600

linuxcnc (1:2.7.12) unstable; urgency=medium

  * docs: clean up net commands in orient docs
  * docs: fix hyphen/minus confusion in manpages
  * docs: fix axis name error in gmoccapy "Probe Information"
  * docs: add G20/G21 unit info to G-code Quick Ref
  * docs: make G96/G97 comments consistent
  * docs: [TRAJ]HOME is ignored on trivial kinematics machines
  * docs: fix a typo in mux_generic manpage
  * docs: improve docstring for `linuxcnc.wait_complete()`
  * docs: improve .motion-type pin info in motion manpage
  * docs: add G99 to G-code Quick Ref
  * docs: new Chinese translations
  * docs: fixup capitalization of variables in Homing docs
  * docs: clarify valid values of HOME_OFFSET
  * docs: add Chinese translation
  * docs: improve milltask manpage
  * docs: remove mention of ancient "bfloat" program from hm2_7i43 manpage
  * docs: fix typos here and there

  * axis gui: remove a startup-time debug message
  * axis gui: fix cursor keys in MDI window
  * axis gui: add 'Select Max velocity' key bindings in quick ref
  * axis gui: fix jog speed key bindings (#268)
  * axis gui: don't try to convert unicode to unicode
  * gmoccapy gui: fix bug with lathe DRO size and missing gst
  * gscreen gui: fix DRO display with VCP in 'industrial' config

  * limit3: complete rewrite, much better behavior

  * stepconf: restore translation

  * pncconf: fix stepgen MAXVEL and MAXACCEL setting with backlash
  * pncconf: add internal firmware for g540x2
  * pncconf: add internal data for 7i92 and 7i80HD cards
  * pncconf: restore translation

  * hm2: stop a spurious "IOPort ignored" warning
  * hm2: fix a copy/paste bug in an error message
  * hm2 sserial: quiet excessive warning messages
  * hm2 sserial: fix bug with spurious port shutdown
  * hm2 dpll: fix even-numbered timers (#211)
  * hm2 7i34, 7i90: don't silently fail with blank config strings

  * puma: update puma kins, vismach model, and configs for D6 joint

  * glcanon: fix a "DRO disappears" bug with wrapped rotaries

  * linuxcnctop: decrease CPU usage and memory leakiness
  * linuxcnctop: split long lines at whitespace
  * linuxcnctop: fix display of some sequence-type data

  * sim_pin: improve help for signals with no writers

  * motion: cancel unlock requests when motion disabled

  * rtapi: fix a sched_setaffinity error on uspace with old glibc

  * tests: protect sim.var file, dpkg removes *.orig
  * tests: increased coverage of limit3 tests

  * src/configure: verify python's pango & cairo modules are installed

  * build: rebuild gmoccapy.pot
  * fix a typo in maintainer docs

  * packaging: add Keywords to all .desktop files
  * packaging: validate desktop files
  * packaging: update debian/copyright to conform to DEP-5
  * packaging: improve short descriptions
  * packaging: build-depend on intltool (for buiding gmoccapy.pot)

 -- Sebastian Kuzminsky <seb@highlab.com>  Wed, 24 Jan 2018 21:59:53 -0700

linuxcnc (1:2.7.11) unstable; urgency=medium

  * doc changes for the transition to github
  * carousel: fix a bug with tool number of zero
  * axis/gremlin: a better way to avoid leaking files
  * test that the Python interpreter prints the right errors

 -- Sebastian Kuzminsky <seb@highlab.com>  Thu, 27 Jul 2017 22:36:58 -0600

linuxcnc (1:2.7.10) unstable; urgency=medium

  * docs: document [EMCMOT]COMM_TIMEOUT
  * docs: teach buildsystem to generate manpages from asciidoc source
  * docs: add info about the Touchy radio buttons
  * docs: improve some hm2_bspi manpages

  * gmoccapy: added Num_Pad jogging
  * image-to-gcode: work around gratuitous breakage in PIL

  * GladeVCP: don't exit if CombiDRO fails to poll status

  * hy_vfd: add --motor-poles, to set PD143
  * hy_vfd: add --base-frequency to set PD004 on the VFD
  * hy_vfd: document PD004/base-freq better in the manpage
  * hy_vfd: fix some typos in --help output and comments

  * add a driver for the Huanyang GT series VFD

  * hm2_eth: add support for Mesa 7i93 AnyIO ethernet board
  * hm2_sserial: Fix a bug where the second port would not work if the
      first was disabled

  * gcodemodule: make interp really close part program
  * pluto: use rtapi's fabs() instead of the kernel's abs()
  * steptest: don't change position-cmd when not running


