=== debian/control ===
--- 
+++ 
@@ -14,7 +14,9 @@
     texlive-lang-cyrillic, texlive-lang-french,
     texlive-lang-spanish, texlive-lang-german, netcat,
     libmodbus-dev (>= 3.0), libusb-1.0-0-dev, procps, psmisc,
-    graphviz, inkscape
+    graphviz, inkscape,
+    intltool,
+    desktop-file-utils,
 Standards-Version: 2.1.0
 
 Package: linuxcnc-uspace-dev
@@ -26,7 +28,7 @@
     linuxcnc-uspace (= ${binary:Version}),
     yapps2-runtime
 Section: libs
-Description: PC based motion controller for real-time Linux
+Description: motion controller for CNC machines and robots (development files)
  LinuxCNC is the next-generation Enhanced Machine Controller which
  provides motion control for CNC machine tools and robotic
  applications (milling, cutting, routing, etc.).
@@ -50,11 +52,11 @@
     python2.7-imaging-tk | python-imaging-tk,
     python-gtksourceview2,
     python-vte,
-    python-gst0.10, gstreamer0.10-plugins-base,
+    python-gst0.10,gstreamer0.10-plugins-base,
     python-xlib, python-gtkglext1, python-configobj,
     tclreadline, procps, psmisc, module-init-tools | kmod, tclx,
     mesa-utils, blt
-Description: PC based motion controller for real-time Linux
+Description: motion controller for CNC machines and robots
  LinuxCNC is the next-generation Enhanced Machine Controller which
  provides motion control for CNC machine tools and robotic
  applications (milling, cutting, routing, etc.).
@@ -64,7 +66,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: pdf-viewer
-Description: PC based motion controller for real-time Linux
+Description: motion controller for CNC machines and robots (English documentation)
  LinuxCNC is the next-generation Enhanced Machine Controller which
  provides motion control for CNC machine tools and robotic
  applications (milling, cutting, routing, etc.).
@@ -76,7 +78,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: pdf-viewer
-Description: PC based motion controller for real-time Linux
+Description: motion controller for CNC machines and robots (French documentation)
  LinuxCNC is the next-generation Enhanced Machine Controller which
  provides motion control for CNC machine tools and robotic
  applications (milling, cutting, routing, etc.).
@@ -88,7 +90,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: pdf-viewer
-Description: PC based motion controller for real-time Linux
+Description: motion controller for CNC machines and robots (Spanish documentation)
  LinuxCNC is the next-generation Enhanced Machine Controller which
  provides motion control for CNC machine tools and robotic
  applications (milling, cutting, routing, etc.).
